<template>
  <div>
    <Modal v-model="showModal" width="1200">
    <TwoColumnPage>
      <template slot="left">
        <ContractLeftList ref="leftModal" @on-result-change="_leftResult"></ContractLeftList>
      </template>
      <template slot="right">
        <ContractRightList ref="rightModal" @on-result-change="_rightResult"></ContractRightList>
      </template>
    </TwoColumnPage>
    </Modal>
  </div>
</template>

<script>
import TwoColumnPage from '../../../components/base/TwoColumnPage'
import ContractLeftList from './ContractLeftList'
import ContractRightList from './ContractRightList'

export default {
  components: {
    TwoColumnPage,
    ContractLeftList,
    ContractRightList
  },
  data() {
    return {
      showModal: false
    }
  },
  methods: {
    _open() {
      // this.formObj.entrustId = id
      this.showModal = true
      this.$refs.leftModal._open()
      // this._page()
    },
    _leftResult(data, personal) {
      this.$refs.rightModal._open(data, personal)
      // console.log(data, personal)
    },
    _rightResult() {
      this.$refs.leftModal._page()
    }
    // _open() {
    //   this.$refs.leftModal._open()
    // }
  }
}
</script>
